"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createE2EClient = void 0;
const apollo_boost_1 = require("apollo-boost");
const apollo_link_http_1 = require("apollo-link-http");
const cross_fetch_1 = __importDefault(require("cross-fetch"));
exports.createE2EClient = (uri) => __awaiter(void 0, void 0, void 0, function* () {
    return new apollo_boost_1.ApolloClient({
        cache: new apollo_boost_1.InMemoryCache({
            addTypename: false
        }),
        defaultOptions: {
            query: {
                fetchPolicy: 'network-only'
            }
        },
        link: apollo_link_http_1.createHttpLink({
            uri: uri || process.env.CARDANO_GRAPHQL_URI || 'http://localhost:3100',
            fetch: cross_fetch_1.default
        })
    });
});
//# sourceMappingURL=e2e_client.js.map